Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | List of all members
ClassGenericArgumentAttribute Class Reference

Attribute to restrict to field only for types specified as generic arguments. More...

Inheritance diagram for ClassGenericArgumentAttribute:

## Public Member Functions
| ClassGenericArgumentAttribute (int genericArgumentIndex)
| Create a ClassExtendsAttribute with a specified type. More...
override Type | GetBaseType (FieldInfo fieldInfo)
| It returns the base type of constraints. More...
override bool | IsConstraintSatisfied (Type type, FieldInfo fieldInfo)
| Whether the constraint is satisfied is judged. More...
Public Member Functions inherited from ClassTypeConstraintAttribute
virtual string | GetTypeName (FieldInfo fieldInfo)
| Returns the type name of the constraint. More...

## Detailed Description

Attribute to restrict to field only for types specified as generic arguments.

Available classes :

- ClassTypeReference
- AnyParameterReference
- ComponentParameterReference
- InputSlotAny
- InputSlotComponent
- InputSlotUnityObject

## Constructor & Destructor Documentation

## ◆ ClassGenericArgumentAttribute()

ClassGenericArgumentAttribute | ( | int | genericArgumentIndex | ) |

Create a ClassExtendsAttribute with a specified type.

Parameters

  genericArgumentIndex | Index of generic argument

## Member Function Documentation

## ◆ GetBaseType()

override Type GetBaseType | ( | FieldInfo | fieldInfo | ) |
| virtual

It returns the base type of constraints.

Parameters

  fieldInfo | FieldInfo with this attribute specified

Returns
  The base type of constraints

Reimplemented from ClassTypeConstraintAttribute.

## ◆ IsConstraintSatisfied()

override bool IsConstraintSatisfied | ( | Type | type,
|  | FieldInfo | fieldInfo
| ) |  |
| virtual

Whether the constraint is satisfied is judged.

Parameters

  type | Determining type
  fieldInfo | FieldInfo with this attribute specified

Returns
  Returns true if the constraint is satisfied.

Implements ClassTypeConstraintAttribute.